%define oname CDDB
%define version 1.3
%define pyversion 2.2.2
%define pysystemver 2.2
%define release 4mdk

Summary: Python CDDB module
Name: python-%{oname}
Version: %{version}
Release: %{release}
Source0: %{oname}.tar.bz2
License: GPL
Group: Development/Python
URL: http://cddb-py.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: python = %pyversion libpython-devel = %pyversion
Requires: python

%description
The dynamic duo of CDDB.py and DiscID.py, along with their side-kick C
module cdrommodule.so, provide an easy way for Python programs to
fetch information on audio CDs from CDDB (http://www.cddb.com/) -- a
very large online database of track listings and other information on
audio CDs.  UNIX platforms and Windows are both supported.


%prep
%setup -q -n %oname-%version

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%_libdir/python%{pysystemver}/site-packages/*
%changelog
* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-4mdk
- fix required python version
- rebuild

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-3mdk
- adjust buildrequires

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- updated BuildRequires
- python 2.2

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package
